Bug 3632 - Wrong comment in <features.h> for _POSIX_C_SOURCE
Summary: Wrong comment in <features.h> for _POSIX_C_SOURCE
Status: RESOLVED FIXED
Alias: None
Product: glibc
Classification: Unclassified
Component: libc (show other bugs)
Version: 2.4
: P2 normal
Target Milestone: ---
Assignee: Ulrich Drepper
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-12-02 17:59 UTC by Michael Kerrisk
Modified: 2014-07-17 14:57 UTC (History)
1 user (show)

See Also:
Host:
Target:
Build:
Last reconfirmed:
fweimer: security-


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Kerrisk 2006-12-02 17:59:17 UTC
With glibc 2.4, the treatment of _POSIX_C_SOURCE changed.  However, an important
comment in <features.h> describing the behaviour was not changed.

In the sentence:

"If none of these are defined, the default is to have...
and _POSIX_C_SOURCE set to 199506L."

the number should be "200112L".
Comment 1 Ulrich Drepper 2006-12-10 01:54:42 UTC
Fixed in cvs.
Comment 2 cvs-commit@gcc.gnu.org 2007-01-12 17:16:58 UTC
Subject: Bug 3632

CVSROOT:	/cvs/glibc
Module name:	libc
Branch: 	glibc-2_5-branch
Changes by:	jakub@sourceware.org	2007-01-12 17:16:44

Modified files:
	.              : ChangeLog 
	include        : features.h 

Log message:
	[BZ #3632]
	* include/features.h: Fix comment about default value for
	_POSIX_C_SOURCE.

Patches:
http://sourceware.org/cgi-bin/cvsweb.cgi/libc/ChangeLog.diff?cvsroot=glibc&only_with_tag=glibc-2_5-branch&r1=1.10362.2.19&r2=1.10362.2.20
http://sourceware.org/cgi-bin/cvsweb.cgi/libc/include/features.h.diff?cvsroot=glibc&only_with_tag=glibc-2_5-branch&r1=1.44&r2=1.44.2.1